import 'package:equatable/equatable.dart';

abstract class ForgotPasswordFormState extends Equatable {
  const ForgotPasswordFormState();

  @override
  List<Object> get props => [];
}

class ForgotPasswordFormInitial extends ForgotPasswordFormState {
  const ForgotPasswordFormInitial();
}

class ForgotPasswordFormLoading extends ForgotPasswordFormState {}

class ForgotPasswordFormError extends ForgotPasswordFormState {
  const ForgotPasswordFormError(this.exception);

  final Exception exception;
}

class ForgotPasswordWaitRecaptcha extends ForgotPasswordFormState {}

class ForgotPasswordFormSuccess extends ForgotPasswordFormState {}

class ForgotPasswordCaptchaError extends ForgotPasswordFormState {}
